import {Request, Response} from 'express';
import {db, Draft} from '../../models';

export default async (req: Request, res: Response) => {
    const pages = await Draft
        .query()
        .select('drafts.id', 'drafts.title', 'drafts.createdAt', 'drafts.updatedAt', 'users.username as author')
        .innerJoin('users', 'drafts.userId', 'users.id')
        .where({userId: req.userInfo.id})
        .orderBy('drafts.updatedAt', 'desc');
    res.send(pages);
};
