import {Model, db} from '.';

export default class User extends Model {
  public id: string;

  public googleId: string;

  public username: string;

  public wikidotUid: number;

  public static get tableName(): string {
      return 'users';
  }

  public static async findOrCreateByGoogleId(googleId: string) {
      const existingUser = await User.query().select('*').where({googleId}).first();
      if (existingUser) {
          return existingUser.id;
      }

      const newUser = await User.query().insert({
          username: `user${Math.round(Math.random() * 10e5)}`,
          googleId,
      });

      return newUser.id;
  }
}
