"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = async (req, res) => {
    const id = models_1.Draft.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect draft id' });
        return;
    }
    const draft = await models_1.Draft
        .query()
        .where({ id })
        .first();
    if (!draft) {
        res.status(404).send({ error: 'Draft not found' });
        return;
    }
    if (draft.userId !== req.userInfo.id) {
        res.status(403).send({ error: 'Authorization required' });
        return;
    }
    const result = await models_1.Draft
        .query()
        .where({ id })
        .first()
        .delete()
        .returning('id');
    res.send(result);
};
//# sourceMappingURL=delete.js.map