"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../core/utils");
const wikidot_tethering_service_1 = require("../../../services/wikidot-tethering.service");
exports.default = async (req, res) => {
    try {
        if (req.user) {
            const { result } = await wikidot_tethering_service_1.tetherAccount(req.user.id);
            switch (result) {
                case wikidot_tethering_service_1.TetherResult.Ok:
                    res.send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.PageNotFound:
                    res.status(424).send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.AlreadyTethered:
                    res.status(200).send({ code: result });
                    break;
                case wikidot_tethering_service_1.TetherResult.WikidotUserAlreadyTethered:
                    res.status(424).send({ code: result });
                    break;
                default:
                    throw new Error('Unknown tether status');
            }
        }
        else {
            res.status(401).send('Unauthorized');
        }
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/tether-account' } });
    }
};
//# sourceMappingURL=tether-account.js.map