"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const models_1 = require("../models");
function branchResolverMiddleware(req, res, next) {
    const hostname = req.get('host');
    models_1.Branch
        .query()
        .select('*')
        .where({ host: hostname })
        .first()
        .then((result) => {
        if (result) {
            req.branch = result;
            next();
        }
        else {
            req.log.warn(`Unknown branch for host "${hostname}"`);
            res.status(400).send('Unknown branch');
        }
    })
        .catch((error) => {
        utils_1.reportError(error, { message: 'Unhandled error during branch resolving' });
        res.status(500).send('Internal server error (branch resolving failure)');
    });
}
exports.default = branchResolverMiddleware;
//# sourceMappingURL=branch-resolver.js.map