"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const models_1 = require("../models");
function userResolverMiddleware(req, res, next) {
    const userId = req.user && req.user.id;
    if (!userId) {
        next();
        return;
    }
    models_1.User
        .query()
        .select('*')
        .where({ id: userId })
        .first()
        .then((user) => {
        if (user) {
            req.userInfo = user;
        }
        next();
    })
        .catch((error) => {
        utils_1.reportError(error, { message: 'Unhandled error during branch resolving' });
        res.status(500).send('Internal server error');
    });
}
exports.default = userResolverMiddleware;
//# sourceMappingURL=user-resolver.js.map